> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/guides/introduction/prerequisites.md).

# Prerequisites

Before you begin using the query language used in the Output Module, you must understand the Collibra API model and how to execute REST calls. This guide shows examples that query the REST API but does not explain how to execute REST calls. Refer to external online resources for tutorials and instructional resources.

## Terminology

The Collibra API model was based on the Semantics of Business Vocabulary and Rules (SBVR) standard. Over time, the user interface adopted a simpler terminology set that aligns with Collibra concepts. Since version 2021.09 (5.7.10 for on-premisses), the Output Module API uses the same terminology as the user interface while the legacy one is deprecated.

The following table lists the renamed terminology:

| Deprecated                        | Current          |
| --------------------------------- | ---------------- |
| Term                              | Asset            |
| ConceptType                       | AssetType        |
| ConceptTypeSpecializedConcepts    | ChildAssetTypes  |
| Vocabulary                        | Domain           |
| VocabularyType                    | DomainType       |
| VocabularyTypeSpecializedConcepts | ChildDomainTypes |
| Source                            | SourceAsset      |
| Target                            | TargetAsset      |
| BinaryFactType                    | RelationType     |
| HeadTerm                          | SourceAssetType  |
| TailTerm                          | TargetAssetType  |
| Member                            | Responsibility   |

{% hint style="success" %}
Use only the new terminology.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/api/guides/introduction/prerequisites.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
